//
//  Enemy.h
//  GlobalGameJam15
//
//  Created by Cesar Parent on 24/01/2015.
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef __GlobalGameJam15__Enemy__
#define __GlobalGameJam15__Enemy__

#include <PixelKit/PixelKit.h>
#include "Defines.h"
#include "Entity.h"


using namespace PixelKit;


class Enemy : public Entity
{
public:
	Enemy();
	virtual ~Enemy();
	
	virtual void draw(SDL_Renderer* renderer) override;
	
	virtual void aiMove();
	
	virtual void didStartMotion(EntityMotion direction) override;
	virtual void didFinishMotion(EntityMotion direction) override;
	
	bool _turn;
	
	Color _colorMod;
};

#endif /* defined(__GlobalGameJam15__Enemy__) */
